-- Adminer 4.7.5 SQLite 3 dump

CREATE TABLE "cards" (
                         "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
                         "member_id" integer NOT NULL,
                         "issued_by" integer NOT NULL,
                         "issued_at" integer NOT NULL,
                         "note" text NULL,
                         "is_active" integer NOT NULL DEFAULT '0',
                         "is_blocked" integer NOT NULL DEFAULT '0'
);


CREATE TABLE "items" (
                         "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
                         "name" text NOT NULL,
                         "price" numeric NOT NULL,
                         "note" text NULL,
                         "ord" numeric NOT NULL,
                         "amount" integer NOT NULL DEFAULT '0',
                         "is_amount_tracked" integer NOT NULL DEFAULT '0',
                         "is_active" integer NOT NULL DEFAULT '1'
);

INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (5,	'Točené pivo 11°',	73,	'včetně zálohy 35,-',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (6,	'Točené pivo 10°',	70,	'včetně zálohy 35,-',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (7,	'Club Mate 0.5l',	55,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (8,	'Club Mate Granat 0.3 l',	45,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (9,	'Matcha Seicha 0.3 l',	45,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (10,	'Mango plech / Coconut plech / Aloe vera plech',	22,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (11,	'domácí hranolky',	45,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (12,	'batatové hranolky',	55,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (13,	'polévka',	35,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (14,	'nákladný hermelín',	40,	'',	'');
INSERT INTO "items" ("id", "name", "price", "note", "ord") VALUES (15,	'záloha',	-35,	'',	-1);

CREATE TABLE "members" (
                           "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
                           "name" text NOT NULL,
                           "email" text NULL,
                           "phone" text NULL,
                           "date_of_birth" text NULL,
                           "note" text NULL,
                           "balance" integer NOT NULL DEFAULT '0',
                           "is_active" integer NOT NULL DEFAULT '1'
);


CREATE TABLE "users" (
                         "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
                         "member_id" integer NULL,
                         "username" text NOT NULL,
                         "password" text NOT NULL,
                         "name" text NOT NULL,
                         "note" text DEFAULT NULL,
                         "is_active" integer NOT NULL DEFAULT '1',
                         "is_superuser" integer NOT NULL DEFAULT '0'
);

CREATE UNIQUE INDEX "users_usename" ON "users" ("username");

INSERT INTO "users" ("id", "username", "password", "name", "note", "is_active", "is_superuser") VALUES (1,	'severak',	'$2y$10$G//hwvWHJYNHFk6JNr3GG.kuzM/dI9UTtU2bxr9EvTTEg0YOc8mj.',	'Severák',	'(testovací účet)', 1,1);

CREATE TABLE "transactions" (
                                "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
                                "member_id" integer NOT NULL,
                                "card_id" integer NOT NULL,
                                "issued_by" integer NOT NULL,
                                "issued_at" integer NOT NULL,
                                "amount" integer NOT NULL,
                                "items" text NOT NULL DEFAULT '[]',
                                "is_cash" integer NOT NULL DEFAULT '0'
);

CREATE TABLE "sold_items" (
                              "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
                              "item_id" integer NOT NULL,
                              "transaction_id" integer NOT NULL,
                              "amount" integer NOT NULL,
                              "date" integer NOT NULL
);

--